## edbrowse 3.6.0.1

=== CMakeLists.txt ===
# CMakeLists.txt generated 2015/09/20 00:38:06
# by make2cmake.pl from F:\Projects\edbrowse\makefile

cmake_minimum_required (VERSION 2.8.8)

project (edbrowse)

# local CMake Scripts
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/CMakeModules)

# ### NOTE: from sersguide.htm
set( eb_MAJOR 3 )
set( eb_MINOR 5 )
set( eb_POINT 1 )

# Allow developer to select is Dynamic or static library built
set( LIB_TYPE STATIC )  # set default static
option( BUILD_SHARED_LIB "Build Shared Library" OFF )
option( BUILD_EDBR_ODBC  "Set 'ON' to add ODBC support. Needs ODBC package installed." OFF)

if(CMAKE_COMPILER_IS_GNUCXX)
    set( WARNING_FLAGS -Wall )
endif(CMAKE_COMPILER_IS_GNUCXX)

if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang") 
   set( WARNING_FLAGS "-Wall -Wno-overloaded-virtual" )
endif() 

if(WIN32)
    if(MSVC)
        # turn off various warnings
        set(WARNING_FLAGS "${WARNING_FLAGS} /wd4996")
        # foreach(warning 4244 4251 4267 4275 4290 4786 4305)
        # C4244: '=' : conversion from 'long' to 'unsigned char', possible loss of data
        # C4090: 'function' : different 'const' qualifiers
        # C4101: 'idx' : unreferenced local variable
        # C4018: '>' : signed/unsigned mismatch
        # C4800: 'JSBool' : forcing value to bool
        foreach(warning 4244 4101 4090 4018 4800)
            set(WARNING_FLAGS "${WARNING_FLAGS} /wd${warning}")
        endforeach()
        set( MSVC_FLAGS "-DNOMINMAX -D_USE_MATH_DEFINES -D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS -D__CRT_NONSTDC_NO_WARNINGS" )
        # if (${MSVC_VERSION} EQUAL 1600)
        #    set( MSVC_LD_FLAGS "/FORCE:MULTIPLE" )
        # endif (${MSVC_VERSION} EQUAL 1600)
        # distinguish between debug and release libraries
        set( CMAKE_DEBUG_POSTFIX "d" )
    endif(MSVC)
    list(APPEND extra_LIBS ws2_32 Winmm odbc32)
    set( NOMINMAX 1 )
else()
    # unix/mac stuff
    message(STATUS "*** Some of these gcc warnings should be looked at, and FIXED!")
    set(WARNING_FLAGS "${WARNING_FLAGS} -Wno-char-subscripts -Wno-parentheses -Wno-unused-but-set-variable -Wno-unused-variable -Wno-pointer-sign -Wno-unused-function -Wno-return-type")
endif()

if (CMAKE_SYSTEM_NAME MATCHES "Linux")
set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_GNU_SOURCE")
endif()

set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${WARNING_FLAGS} ${MSVC_FLAGS} -D_REENTRANT" )
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WARNING_FLAGS} ${MSVC_FLAGS} -D_REENTRANT" )
set( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${MSVC_LD_FLAGS}" )

#  TIDY_FOUND          - True if tidy found.
#  TIDY_INCLUDE_DIRS   - where to find tidy.h, etc.
#  TIDY_LIBRARIES      - List of libraries when using tidy.
find_package( Tidy )
if (TIDY_FOUND)
    message(STATUS "*** Tidy found inc ${TIDY_INCLUDE_DIRS} lib ${TIDY_LIBRARIES}")
    include_directories( ${TIDY_INCLUDE_DIRS} )
    list(APPEND add_LIBS ${TIDY_LIBRARIES})
else ()
    message(FATAL_ERROR "*** Tidy NOT found! Maybe set ENV TIDY_ROOT to install location")
endif ()

#  CURL_FOUND          - True if curl found.
#  CURL_INCLUDE_DIRS   - where to find curl/curl.h, etc.
#  CURL_LIBRARIES      - List of libraries when using curl.
#  CURL_VERSION_STRING - the version of curl found (since CMake 2.8.8)
find_package(CURL)
if (CURL_FOUND)
    message(STATUS "*** CURL found inc ${CURL_INCLUDE_DIRS} lib ${CURL_LIBRARIES}")
    include_directories( ${CURL_INCLUDE_DIRS} )
    list( APPEND add_LIBS ${CURL_LIBRARIES} )
    message(STATUS "cURL version ${CURL_VERSION_STRING}")
else ()
    message(FATAL_ERROR "*** CURL NOT FOUND")
endif ()

#    PCRE_FOUND - True if libpcre is found
#    PCRE_LIBRARY - A variable pointing to the PCRE library
#    PCRE_INCLUDE_DIR - Where to find the headers
find_package(PCRE)
if (PCRE_FOUND)
    message(STATUS "*** PCRE found inc ${PCRE_INCLUDE_DIR} lib ${PCRE_LIBRARY}")
    include_directories( ${PCRE_INCLUDE_DIR} )
    list( APPEND add_LIBS ${PCRE_LIBRARY} )
    #message(STATUS "PCRE version ${PCREL_VERSION_STRING}")
else ()
    message(FATAL_ERROR "*** PCRE NOT FOUND")
endif ()

# READLINE_FOUND
# READLINE_INCLUDE_DIR
# READLINE_LIBRARY
# HAVE_READLINE_H
find_package(Readline)
if (READLINE_FOUND)
    message( STATUS "*** READLINE found inc ${READLINE_INCLUDE_DIR} lib ${READLINE_LIBRARY}" )
    add_definitions( -DHAVE_READLINE_H )
    if (NOT BUILD_SHARED_LIB)
        add_definitions( -DREADLINE_STATIC )
    endif ()
    include_directories( ${READLINE_INCLUDE_DIR} )
    list( APPEND add_LIBS ${READLINE_LIBRARY} )
else ()
    message(FATAL_ERROR "*** READLINE NOT FOUND")
endif ()

# MOZJS_FOUND
# MOZJS_LIBRARY
# MOZJS_INCLUDE_DIR
find_package(MOZJS)
if (MOZJS_FOUND)
    message( STATUS "*** MOZJS found inc ${MOZJS_INCLUDE_DIR} lib ${MOZJS_LIBRARY}" )
    include_directories( ${MOZJS_INCLUDE_DIR} )
    list( APPEND add_LIBS ${MOZJS_LIBRARY} )
else ()
    message( STATUS "*** MOZJS NOT FOUND, No edbrowse-js build")
endif ()

if (WIN32 AND MOZJS_FOUND)
    find_package(Threads)
    if(Threads_FOUND)
        list(APPEND add_LIBS winmm.lib ws2_32.lib)
        message( STATUS "*** Finding pthread.h HINTS [${CMAKE_PREFIX_PATH}] PATHS [${CMAKE_INCLUDE_PATH}] PATH_SUFFIXES include" )
        find_path( thread_INC pthread.h
            HINTS ${CMAKE_PREFIX_PATH} $ENV{INCLUDE}
            PATHS ${CMAKE_INCLUDE_PATH} $ENV{INCLUDE}
            PATH_SUFFIXES include )
        if(thread_INC)
            include_directories( ${thread_INC} )
            add_definitions( -DHAVE_PTHREAD_H )
            message(STATUS "*** thread_INC: ${thread_INC}")
        else()
            message(FATAL_ERROR "*** thread_INC: ${thread_INC} pthread.h NOT FOUND!")
        endif()
        find_library( thread_LIB pthreadVC2.lib
            HINTS ${CMAKE_PREFIX_PATH} $ENV{LIB}
            PATHS ${CMAKE_INCLUDE_PATH} $ENV{LIB}
            PATH_SUFFIXES lib )
        if(thread_LIB)
            list(APPEND add_LIBS ${thread_LIB})
            message(STATUS "*** Found ${thread_LIB})" )
        else()
            message( FATAL_ERROR "*** Thread libray NOT FOUND!" )
        endif()
    else ()
        message( STATUS "*** Threads NOT FOUND, No edbrowse-js build")
        set(MOZJS_FOUND)
    endif ()
endif ()

if (BUILD_EDBR_ODBC) # if the user OPTION ON
    # This module defines
    # ODBC_INCLUDE_DIRECTORIES, where to find sql.h
    # ODBC_LIBRARIES, the libraries to link against to use ODBC
    # ODBC_FOUND.  If false, you cannot build anything that requires MySQL.
    find_package(ODBC)
    if (ODBC_FOUND)
        message( STATUS "*** ODBC found inc ${ODBC_INCLUDE_DIRECTORIES} lib ${ODBC_LIBRARIES}" )
        add_definitions( -DHAVE_SQL_H )
        include_directories( ${ODBC_INCLUDE_DIRECTORIES} )
        list( APPEND add_LIBS ${ODBC_LIBRARIES} )
    else ()
        message(STATUS "*** ODBC NOT FOUND")
    endif ()
endif ()
    
# add_definitions( -DHAVE_CONFIG_H )

if(BUILD_SHARED_LIB)
   set(LIB_TYPE SHARED)
   message(STATUS "*** Building DLL library ${LIB_TYPE}")
else(BUILD_SHARED_LIB)
   message(STATUS "*** Building static library ${LIB_TYPE}")
endif(BUILD_SHARED_LIB)

# LDLIBS = -lpcre -lcurl -lreadline -lncurses -ltidy
#  edbrowse objects
#EBOBJS = main.o buffers.o url.o auth.o http.o sendmail.o fetchmail.o \
#	html.o format.o cookies.o stringfile.o messages.o ebjs.o plugin.o
#  Header file dependencies.
#$(EBOBJS) : eb.h ebprot.h messages.h ebjs.h

# see tools/build*.pl scripts
file(GLOB LANG_EBRC_FILES "lang/ebrc-*")
message(STATUS "Language ebrc files: LANG_EBRC_FILES=${LANG_EBRC_FILES}")
file(GLOB LANG_MSG_FILES "lang/msg-*")
message(STATUS "Language msg files: LANG_MSG_FILES=${LANG_MSG_FILES}")

set(dir src)
set(GEN_SOURCES
    ${CMAKE_SOURCE_DIR}/${dir}/startwindow.c
    ${CMAKE_SOURCE_DIR}/${dir}/ebrc.c
    ${CMAKE_SOURCE_DIR}/${dir}/msg-strings.c
    )
find_program(PERL perl)
if (PERL)
    add_custom_command(
        OUTPUT ${GEN_SOURCES}
        COMMAND perl -f tools/buildsourcestring.pl src/startwindow.js startWindowJS src/startwindow.c
        COMMAND perl -f tools/buildebrcstring.pl
        COMMAND perl -f tools/buildmsgstrings.pl
        DEPENDS ${LANG_EBRC_FILES} ${LANG_MSG_FILES} src/startwindow.js
            tools/buildsourcestring.pl
            tools/buildebrcstring.pl
            tools/buildmsgstrings.pl
        COMMENT "Running perl to build ${GEN_SOURCES}"
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        )
    message(STATUS "*** Setup build of ebrc.c, msg-strings.c, and startwindow.c")
else ()
    message(FATAL_ERROR, "Error: Can NOT locate 'perl'???")
endif ()

###########################################################
### edbr static libraro of shared source
set(name edbr-lib)
set(dir src)
set(${name}_SRCS
    ${dir}/messages.c
    ${dir}/url.c
    ${dir}/stringfile.c
    ${dir}/html-tidy.c
    ${dir}/decorate.c
    ${GEN_SOURCES}
    )
if (MSVC)
    list(APPEND ${name}_SRCS win32/vsprtf.c win32/dirent.c)
    list(APPEND ${name}_HDRS win32/vsprtf.h win32/dirent.h)
    include_directories( win32 )
endif ()
add_library( ${name} ${${name}_SRCS} )
set(add_LIBS ${name} ${add_LIBS})

#######################################################
### main edbrowse app
set(name edbrowse)
set(dir src)
set(ODBC_SRCS ${dir}/dbstubs.c) # set default stubs source
if (BUILD_EDBR_ODBC) # if the user OPTION ON
   if (ODBC_FOUND)   # and if package found
        message(STATUS "*** Building edbrowse with ODBC support") # happy days!
        set(ODBC_SRCS ${dir}/dbops.c ${dir}/dbodbc.c ${dir}/dbapi.h) # real db sources
   else ()
        message(WARNING "ODBC support requested, but ODBC package NOT FOUND!"
        "1. Has the dev package been installed? 2. Do you need to use"
        "-DCMAKE_PREFIX_PATH:PATH=/path/to/odbc/install/root to help find it?")
   endif ()
else ()
   if (ODBC_FOUND) # more a polite did-you-know information type message
        message(STATUS "*** ODBC package found, but option -DBUILD_EDBR_ODBC=ON not used.")
   else ()
        # does not want ODBC, which is ok, because it was not found! win win
   endif ()
endif ()

set(${name}_SRCS
    ${dir}/main.c
    ${dir}/buffers.c
    ${dir}/auth.c
    ${dir}/http.c
    ${dir}/sendmail.c
    ${dir}/fetchmail.c
	${dir}/html.c
    ${dir}/format.c
    ${dir}/cookies.c
    ${dir}/ebjs.c
    ${dir}/plugin.c
    ${ODBC_SRCS}
    )
set(${name}_HDRS
    ${dir}/eb.h
    ${dir}/ebprot.h
    ${dir}/messages.h
    ${dir}/ebjs.h
    )
add_executable( ${name} ${${name}_SRCS} ${${name}_HDRS} )
if (add_LIBS OR extra_LIBS)
    target_link_libraries( ${name} ${add_LIBS} ${extra_LIBS} )
endif ()
if (MSVC)
    set_target_properties( ${name} PROPERTIES DEBUG_POSTFIX d )
endif ()
install(TARGETS ${name} DESTINATION bin)

if (MOZJS_FOUND)
    set(name edbrowse-js)
    set(dir src)
    set(${name}_SRCS
        ${dir}/jseng-moz.cpp
        )
    add_executable( ${name} ${${name}_SRCS} )
    target_link_libraries( ${name} ${add_LIBS} ${extra_LIBS} )
    if (MSVC)
        set_target_properties( ${name} PROPERTIES DEBUG_POSTFIX d )
    endif ()
    install(TARGETS ${name} DESTINATION bin)
endif ()

# eof

## edbrowse 3.4.5

=== debian/changelog ===
edbrowse (3.4.5-0ubuntu2) natty; urgency=low

  * Add build-depend on libreadline-dev

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 29 Nov 2010 15:16:54 +0000

edbrowse (3.4.5-0ubuntu1) natty; urgency=low

  * New upstream release
  * Convert to source format 3.0
    - add debian/format/source
  * Update for xulrunner-2.0
    - update debian/control
    - add debian/patches/spidermonkey-2.0.patch for the JSNative changes
    - add debian/patches/series
  * Don't call the xulrunner binary to find libmozjs
    - update debian/edbrowse.sh
  * Pass -lcrypto and -lreadline to the linker
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 29 Nov 2010 12:06:07 +0000

edbrowse (3.4.1-1ubuntu2) maverick; urgency=low

  * SECURITY UPDATE: insecure library loading (LP: #650862)
    - debian/edbrowse.sh: use shell expansion to set LD_LIBRARY_PATH
    - CVE-2010-3349

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 29 Sep 2010 01:54:29 -0500

edbrowse (3.4.1-1ubuntu1) lucid; urgency=low

  * fix LP: #553052 - Port edbrowse to xulrunner-1.9.2
    + debian/control:
      - replace libmozjs-dev with xulrunner-dev
      - add build depends on pkg-config
      - add xulrunner-1.9.2 depends to edbrowse package
    + debian/rules:
      - get mozjs cflags and libs with pkgconfig
      - move edbrowse binary to edbrowse-real
      - install edbrowse wrapper script so we can set LD_LIBRARY_PATH
    + Add debian/edbrowse.sh as a wrapper so we can set LD_LIBRARY_PATH

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 02 Apr 2010 00:20:48 -0500

edbrowse (3.4.1-1) unstable; urgency=low

  * New upstream version (3.4.1).
  * debian/rules:
    - add "touch build-stamp" to build-stamp target.
    - modify clean target to use clean target in src/makefile.
    - remove debian/edbrowse.1 in clean target.
    - added "-lcurl" to linker flags.
  * debian/control:
    - added libcurl4-openssl-dev to Build-Depends
    - Standards Version 3.8.0. No changes required.

 -- Kapil Hari Paranjape <kapil@debian.org>  Sun, 01 Mar 2009 16:55:12 +0530

edbrowse (3.3.4-1) unstable; urgency=low

  * New upstream version (3.3.4).
   - Convert between iso8859-1 and utf-8 on the fly.
   - Support reading of pdf using pdftohtml.
   - French translation of html documentation.
   - Old html documentation renamed to usersguide.
   - Additional documentation on philosophy.
  * debian/control:
   - Changed homepage to sourcefource site.
   - Moved homepage from description to its own field.
   - Added "poppler-utils | xpdf-utils" to Recommends.
   - Added "www-browser", "mail-reader" and "editor" to Provides. 
   - Removed "XS-" from Vcs-Svn tag.
   - Standards-Version: 3.7.3
  * debian/docs: Added new documentation files
    from "doc/" subdirectory.
  * debian/watch: Updated to use sourceforge site.
  * debian/edbrowse.doc-base:
    - Changed name of upstream provided html documentation from
      "ebdoc.html" to "usersguide.html".
    - Changed section from "net" to "Network/Web Browsing".
  * debian/install: Compiled binary is now in "src/".

 -- Kapil Hari Paranjape <kapil@debian.org>  Wed, 09 Apr 2008 18:55:23 +0530

edbrowse (3.3.1-1) unstable; urgency=low

  * New upstream version (3.3.1).
    - Messages have been internationalised.
    - Supports LANG environment variable.
    - Includes man page.
  * Incorporate upstream man page:
    - debian/rules: Add rule to install upstream man page.
    - debian/edbrowse.1: Not required. Removed.

 -- Kapil Hari Paranjape <kapil@debian.org>  Wed,  5 Dec 2007 10:39:04 +0530

edbrowse (3.2.1-2) unstable; urgency=low

  * debian/edbrowse.1:
    - Corrected author's address.
    - Put sourceforge as the upstream web address.
  * debian/watch: Added URL to track upstream versions.
  * debian/control: Added XS-Vcs-Svn tag.
  * debian/compat: Added this file instead of DH_COMPAT line in
    debian/rules.
  * debian/rules:
    - Commented out DH_COMPAT line
    - Added definition of LFLAGS to prevent stripping of compiled
      binary if "nostrip" is defined. Closes: #436780.

 -- Kapil Hari Paranjape <kapil@debian.org>  Thu,  9 Aug 2007 06:53:42 +0530

edbrowse (3.2.1-1) unstable; urgency=low

  * New upstream version (3.2.1). Closes: #421451.
    - can fetch and execute a local javascript file
      if required by local html file.
    - provide COPYING and CHANGES files.
  * debian/rules:
    - add CHANGES to dh_installchangelogs line.
    - add dh_installman entry to install the man page.
  * debian/copyright: updated to include the COPYING file.
  * debian/edbrowse.1: added a basic man page.

 -- Kapil Hari Paranjape <kapil@imsc.res.in>  Wed,  9 May 2007 07:33:04 +0530

edbrowse (3.1.2-1) unstable; urgency=low

  * New upstream version (3.1.2). Closes: #306486.
    - programs now written in C
    - support for javascript.
  * debian/control:
    - added Kapil Hari Paranjape to Uploaders.
    - Build-depends on "libssl-dev", "libmozjs-dev", "libpcre3-dev".
    - Standards-Version to 3.7.2. No changes required.
  * debian/rules:
    - add "noopt" feature.
    - set CFLAGS and LIBS.
    - Put $(MAKE) into the build rules.
  * debian/copyright: Edited to add the current copyright which
    is GPL with the exception for linking with OpenSSL.
  * debian/docs: added "README".
  * debian/examples: added "jsrt".

 -- Kapil Hari Paranjape <kapil@imsc.res.in>  Fri, 20 Oct 2006 10:47:30 +0530

edbrowse (1.5.17-2) unstable; urgency=low

  * debian/control:
    - Use Build-Depends-Indep and correctly depend on debhelper >= 4.
    - Update Stnadards-Version to 3.6.1.
  * debian/copyright: Fix dh_make boilerplate.

 -- Mario Lang <mlang@debian.org>  Sat,  1 Nov 2003 11:33:01 +0100

edbrowse (1.5.17-1) unstable; urgency=low

  * New upstream version
    - Fixes DFSG-incompatible copyright notice (Closes: Bug#211062).

 -- Mario Lang <mlang@debian.org>  Tue, 16 Sep 2003 15:39:02 +0200

edbrowse (1.5.0-1) unstable; urgency=low

  * Initial Release.



=== debian/control ===
Source: edbrowse
Section: net
Priority: extra
Uploaders: Kapil Hari Paranjape <kapil@debian.org>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mario Lang <mlang@debian.org>
Build-Depends: debhelper (>> 4.0.0), libssl-dev (>= 0.9.8b), libpcre3-dev (>= 6.4), xulrunner-2.0-dev, pkg-config,
 libcurl4-openssl-dev (>= 7.18.2), libreadline-dev
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/edbrowse/
Homepage: http://edbrowse.sourceforge.net/
Standards-Version: 3.8.0

Package: edbrowse
Architecture: any
Depends: ${shlibs:Depends}, xulrunner-2.0-mozjs
Recommends: poppler-utils | xpdf-utils
Provides: editor, mail-reader, www-browser
Description: A /bin/ed-alike webbrowser written in C
 edbrowse is a reimplementation of /bin/ed, with some basic
 differences (it uses Perl regular expressions) with the ability to
 visit webpages and ftp sites. edbrowse performs basic transformations
 on the html source to produce a readable representation. edbrowse
 supports Forms, Frames, Netscape-style cookies, HTTPS
 connections and JavaScript.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
# This line moved to debian/compat
#export DH_COMPAT=4

CFLAGS = -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -O0
else
 CFLAGS += -O2
endif

# Correct upstream's variables for Debian names
CFLAGS += $(shell pkg-config --cflags mozilla-js)
LIBS = -lpcre -lssl -lcurl $(shell pkg-config --libs mozilla-js) -lcrypto -lreadline
# Avoid stripping binaries LFLAGS is upstream's name
# for additional linking flags!
LFLAGS = ""

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -C src CFLAGS="$(CFLAGS)" LIBS="$(LIBS)" LFLAGS="$(LFLAGS)" edbrowse
	# minor fix required for upstream man page
	sed -e's;^\.\.\(.\);.\1;' -e's;^ \.;.;' < doc/man-edbrowse-debian.1 > debian/edbrowse.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f debian/edbrowse.1
	$(MAKE) -C src clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	dh_install
	#chmod +x debian/edbrowse/usr/bin/edbrowse

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	mv debian/edbrowse/usr/bin/edbrowse debian/edbrowse/usr/bin/edbrowse-real
	cp debian/edbrowse.sh debian/edbrowse/usr/bin/edbrowse
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installexamples
	dh_installman --language=C debian/edbrowse.1
	dh_installchangelogs -k CHANGES 
	dh_link
	dh_strip
	dh_fixperms
	dh_compress
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://edbrowse.sourceforge.net/ \
	http://www.eklhad.net/linux/app/edbrowse-(.*).zip

## edbrowse 3.4.8

=== debian/changelog ===
edbrowse (3.4.8-1) unstable; urgency=low

  * New upstream version (3.4.8). 
  * patches: removed

 -- Jean-Philippe Mengual <texou@accelibreinfo.eu>  Mon, 6 Nov 2011 18:30:02 +0200

edbrowse (3.4.7-1) unstable; urgency=low

  [ Jean-Philippe Mengual ]
  * New maintainer (Closes: #638297)
  * New upstream version (3.4.7). Closes: #598162, #631027, #506613
  * watch: Update.
  * copyright: Update.
  * compat: bump to 5.
  * control:
    - Updated the priority from optional to extra
    - Bump Standards-Version.
    - Change build-depends, so that it suits with the requirements of the new
    release.
    - Updated the dependencies
    - Updated the Homepage to suit with the new location of the project.
    - Updated the Description of the package.
  * rules: Rewrite using dh.
  * manpages: Install manpage.
  * source/format: Switch to quilt.
  * patches/makefile.patch: Add clean target.
  * patches/messages.patch: Fix typo.

  [ Samuel Thibault ]
  * Use libmozjs-dev's JavaScript support.
    - debian/control: Depend on libmozjs-dev instead of iceape-dev.
    - debian/rules: Fix paths to libmozjs.
    - debian/patches/libmozjs.patch: Fix upstream code to newer libmozjs API.


 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Oct 2011 02:42:53 +0200

=== debian/control ===
Source: edbrowse
Section: net
Priority: extra
Uploaders: Kapil Hari Paranjape <kapil@debian.org>, Mario Lang <mlang@debian.org>, Gergely Nagy <algernon@balabit.hu>, Samuel Thibault <sthibault@debian.org>
Maintainer: Jean-Philippe MENGUAL <texou@accelibreinfo.eu>
Build-Depends: debhelper (>= 7.0.50), libssl-dev (>= 0.9.8b), libpcre3-dev (>= 6.4),
 libcurl4-openssl-dev (>= 7.18.2), libreadline6-dev (>= 6.2-2), libmozjs-dev
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/edbrowse/
Homepage: http://the-brannons.com/
Standards-Version: 3.9.2

Package: edbrowse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: poppler-utils | xpdf-utils
Provides: editor, mail-reader, www-browser
Description: /bin/ed-alike webbrowser written in C
 edbrowse is a reimplementation of /bin/ed, with some basic
 differences (it uses Perl regular expressions) with the ability to
 visit webpages and ftp sites. edbrowse performs basic transformations
 on the html source to produce a readable representation. edbrowse
 supports Forms, Frames, Netscape-style cookies, HTTPS
 connections and JavaScript.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS) -I/usr/include/mozjs -DXP_UNIX" LIBS="-lpcre -lssl -lmozjs -lcurl -lcrypto" JSLIB="-lmozjs" STATICLIBS="-lodbc -lpcre -lm -lmozjs -lcurl -lssl -lc -lcrypto -lpthread -lm -ldl -lrt" LFLAGS=""
	sed -e's;^\.\.\(.\);.\1;' -e's;^ \.;.;' < doc/man-edbrowse-debian.1 > debian/edbrowse.1

override_dh_auto_clean:
	dh_auto_clean 
	-rm -f debian/edbrowse.1

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES

=== debian/watch ===
version=3
http://the-brannons.com/ \
	http://the-brannons.com/edbrowse/edbrowse-(.*).zip

## edbrowse 3.4.9

=== debian/changelog ===
edbrowse (3.4.9-1) unstable; urgency=low

  [ Sergey Romanov ]
  * Local build.
  * New upstream version (3.4.9).
  * Fix debian/watch regex to ignore development snapshots.
  * Revert to using SpiderMonkey 1.8.5 to fix FTBFS. (Closes: #707346)
    - debian/control: Depend on libmozjs185-dev instead of libmozjs-dev.
    - debian/rules: Drop path changes to libmozjs.
  * Update to debhelper 9.
    - debian/compat: bump to 9.
    - debian/control: Build-Depend on debhelper (>= 9).
    - debian/rules:
      o  Drop DEB_BUILD_HARDENING (handled by debhelper 9).
      o  Drop override_dh_installchangelogs (handled by debhelper 8).
  * Standards-Version 3.9.4:
    - debian/control: Bump Standards-Version.
    - debian/copyright: use format 1.0.
    - debian/lintian-overrides: upstream uses versionless GPL.
  * debian/control:
    - Canonicalize the Vcs field.
    - Drop versions from Build-Depends (satisfied by versions in squeeze).
    - Fold the Uploaders field.
  * debian/rules:
    - Stop patching man page (not needed anymore).
    - Simplify dh_auto_build call (as result of the libmozjs change above).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 27 May 2013 01:10:14 +0200

edbrowse (3.4.8-2) unstable; urgency=low

  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.
  * control: Bump Standards-Version to 3.9.3 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 08 Jun 2012 23:45:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: edbrowse
 Section: net
 Priority: extra
-Uploaders: Kapil Hari Paranjape <kapil@debian.org>, Mario Lang <mlang@debian.org>, Gergely Nagy <algernon@balabit.hu>, Samuel Thibault <sthibault@debian.org>
+Uploaders: Kapil Hari Paranjape <kapil@debian.org>,
+ Mario Lang <mlang@debian.org>, Gergely Nagy <algernon@balabit.hu>,
+ Samuel Thibault <sthibault@debian.org>
 Maintainer: Jean-Philippe MENGUAL <texou@accelibreinfo.eu>
-Build-Depends: debhelper (>= 7.0.50), libssl-dev (>= 0.9.8b), libpcre3-dev (>= 6.4),
- libcurl4-openssl-dev (>= 7.18.2), libreadline6-dev (>= 6.2-2), libmozjs-dev
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/edbrowse/
-Homepage: http://the-brannons.com/
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libreadline-dev, libpcre3-dev, libssl-dev,
+ libcurl4-openssl-dev, libmozjs185-dev
+Vcs-Svn: svn://anoncsm.debian.org/collab-maint/deb-maint/edbrowse
+Homepage: http://the-brannons.com/edbrowse
+Standards-Version: 3.9.4
 
 Package: edbrowse
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CPPFLAGS='$(CPPFLAGS) $$(JS_CPPFLAGS)'
	cp doc/man-edbrowse-debian.1 debian/edbrowse.1

override_dh_auto_clean:
	dh_auto_clean
	-rm -r debian/edbrowse.1

## edbrowse 3.4.10

=== debian/changelog ===
edbrowse (3.4.10-1) unstable; urgency=low

  [ Jean-Philippe Mengual ]
  * debian/control: fixed URL for svn
  * Make Debian-a11y team as maintainer
  * Remove useless CPPFLAGS mangling.

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.5 (no changes).
  * patches/hurd: Fix FTBFS on hurd-i386.
  * rules: Define SYSBSD on kfreebsd & hurd to fetch termios.h instead of
    termio.h
  * patches/termio: Fix FTBFS on kfreebsd & hurd.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Aug 2014 00:50:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: edbrowse
 Section: net
 Priority: extra
+Maintainer: debian accessibility team <debian-accessibility@lists.debian.org>
 Uploaders: Kapil Hari Paranjape <kapil@debian.org>,
  Mario Lang <mlang@debian.org>, Gergely Nagy <algernon@balabit.hu>,
  Samuel Thibault <sthibault@debian.org>
-Maintainer: Jean-Philippe MENGUAL <texou@accelibreinfo.eu>
 Build-Depends: debhelper (>= 9), libreadline-dev, libpcre3-dev, libssl-dev,
  libcurl4-openssl-dev, libmozjs185-dev
-Vcs-Svn: svn://anoncsm.debian.org/collab-maint/deb-maint/edbrowse
+Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/edbrowse
 Homepage: http://the-brannons.com/edbrowse
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: edbrowse
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH_OS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)

ifneq ($(filter kfreebsd hurd,$(DEB_BUILD_ARCH_OS)),)
export CFLAGS=-DSYSBSD
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	cp doc/man-edbrowse-debian.1 debian/edbrowse.1

## edbrowse 3.5.1

=== debian/changelog ===
edbrowse (3.5.1-1) unstable; urgency=medium

  * Team upload.

  [ Jean-Philippe MENGUAL ]
  * Upstream update.

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.6 (no changes).
  * control: Add libncurses5-dev Build-Depends.

 -- Jean-Philippe MENGUAL <texou@accelibreinfo.eu>  Sun, 28 Sep 2014 22:41:21 +0200

edbrowse (3.4.10+201404271310-1) unstable; urgency=medium

  * Updated to a snapshot release to test the js fix. (Closes: #723114)

 -- Jean-Philippe MENGUAL <texou@accelibreinfo.eu>  Sat, 23 Aug 2014 00:34:50 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  Mario Lang <mlang@debian.org>, Gergely Nagy <algernon@balabit.hu>,
  Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9), libreadline-dev, libpcre3-dev, libssl-dev,
- libcurl4-openssl-dev, libmozjs185-dev
+ libcurl4-openssl-dev, libmozjs-24-dev, libncurses5-dev
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/edbrowse
 Homepage: http://the-brannons.com/edbrowse
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: edbrowse
 Architecture: any

=== debian/watch ===
version=3
http://the-brannons.com/edbrowse/ \
	http://the-brannons.com/edbrowse/edbrowse-(\d[\d.]*).zip

## edbrowse 3.6.0.1

=== debian/changelog ===
edbrowse (3.6.0.1-1) unstable; urgency=medium

  * New upstream release
    - patches/ebrc-fr: Merged uptsream.
    - patches/fix_privacy-breach-generic_on_obsolete_icon.patch: Merged
    upstream.
    - debian/install: Drop, upstream now installs binaries.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Dec 2015 18:20:37 +0100

edbrowse (3.6.0-1) unstable; urgency=medium

  * New upstream release
    - control: Add cmake and libtidy-dev build-depend.
    - patches/nomake: Drop upstream makefile, so dh_auto_build picks up
    - patches/tidy: Fix detection of libtidy.
    - patches/ebrc-fr: Fix sample ebrc format.
    - docs: Drop installing philosophy*, removed upstream.
    - examples: Drop installing setup.ebrc, removed upstream.
    building with cmake.
    - rules: Export path to libtidy.
  * patches/ssl_certs: Set path to Debian certificates file by default
    (Closes: #646802)
  * watch: Add gpg signature mangling to main site URL too.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Dec 2015 19:14:12 +0100

edbrowse (3.5.4.2-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
    - patches/fix_url_in_manpage.patch: Merged upstream.
    - patches/fix_privacy-breach-generic_on_obsolete_icon.patch: Refresh.
  * Fix Homepage URL.
  * Fix watch file.

  [ Mario Lang ]
  * Remove myself from Uploaders and update Homepage field.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Oct 2015 21:41:01 +0100

edbrowse (3.5.3-2) unstable; urgency=medium

  * install: Include edbrowse-js too for JavaScript support (Closes: #788874)
  * watch: Generalize URL.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 15 Jun 2015 22:19:32 +0200

edbrowse (3.5.3-1) unstable; urgency=medium

  * Team upload to unstable
  * New upstream
    - Update date in d/copyright
  * Update manpage (Closes: #570054)

 -- Paul Gevers <elbrus@debian.org>  Fri, 01 May 2015 13:08:19 +0200

edbrowse (3.5.2-1) experimental; urgency=medium

  * Team upload

  [ Jean-Philippe MENGUAL ]
  * Updated from upstream.

  [ Samuel Thibault ]
  * Remove Kapil from uploaders. (Closes: #738477)

  [ Paul Gevers ]
  * Add upstream signature to watch file
  * Add patch to strip non-existing off-site icon from help documentation
    (thanks lintian)

 -- Paul Gevers <elbrus@debian.org>  Sun, 14 Dec 2014 14:10:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: edbrowse
 Section: net
 Priority: extra
-Maintainer: debian accessibility team <debian-accessibility@lists.debian.org>
-Uploaders: Kapil Hari Paranjape <kapil@debian.org>,
- Mario Lang <mlang@debian.org>, Gergely Nagy <algernon@balabit.hu>,
- Samuel Thibault <sthibault@debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Uploaders: Gergely Nagy <algernon@balabit.hu>,
+           Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9), libreadline-dev, libpcre3-dev, libssl-dev,
- libcurl4-openssl-dev, libmozjs-24-dev, libncurses5-dev
+ libcurl4-openssl-dev, libmozjs-24-dev, libncurses5-dev, libtidy-dev, cmake
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/edbrowse
-Homepage: http://the-brannons.com/edbrowse
+Homepage: http://edbrowse.org/
 Standards-Version: 3.9.6
 
 Package: edbrowse

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	cp doc/man-edbrowse-debian.1 debian/edbrowse.1

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
http://the-brannons.com/edbrowse/ \
	http://the-brannons.com/edbrowse/edbrowse-(\d[\d.]*).(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
opts=pgpsigurlmangle=s/$/.sig/ \
http://edbrowse.org/ edbrowse-([\d.]*).(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## edbrowse 3.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -127,7 +127,7 @@
     include_directories( ${MOZJS_INCLUDE_DIR} )
     list( APPEND add_LIBS ${MOZJS_LIBRARY} )
 else ()
-    message( STATUS "*** MOZJS NOT FOUND, No edbrowse-js build")
+    message( FATAL_ERROR "*** MOZJS NOT FOUND, unable to proceed")
 endif ()
 
 if (WIN32 AND MOZJS_FOUND)
@@ -157,8 +157,7 @@
             message( FATAL_ERROR "*** Thread libray NOT FOUND!" )
         endif()
     else ()
-        message( STATUS "*** Threads NOT FOUND, No edbrowse-js build")
-        set(MOZJS_FOUND)
+        message( FATAL "*** Threads NOT FOUNDunable to proceed")
     endif ()
 endif ()
 
@@ -189,7 +188,7 @@
 
 # LDLIBS = -lpcre -lcurl -lreadline -lncurses -ltidy
 #  edbrowse objects
-#EBOBJS = main.o buffers.o url.o auth.o http.o sendmail.o fetchmail.o \
+#EBOBJS = main.o buffers.o url.o sendmail.o fetchmail.o \
 #	html.o format.o cookies.o stringfile.o messages.o ebjs.o plugin.o
 #  Header file dependencies.
 #$(EBOBJS) : eb.h ebprot.h messages.h ebjs.h
@@ -226,24 +225,14 @@
 endif ()
 
 ###########################################################
-### edbr static libraro of shared source
-set(name edbr-lib)
-set(dir src)
-set(${name}_SRCS
-    ${dir}/messages.c
-    ${dir}/url.c
-    ${dir}/stringfile.c
-    ${dir}/html-tidy.c
-    ${dir}/decorate.c
-    ${GEN_SOURCES}
-    )
-if (MSVC)
-    list(APPEND ${name}_SRCS win32/vsprtf.c win32/dirent.c)
-    list(APPEND ${name}_HDRS win32/vsprtf.h win32/dirent.h)
-    include_directories( win32 )
-endif ()
-add_library( ${name} ${${name}_SRCS} )
-set(add_LIBS ${name} ${add_LIBS})
+### edbr static library of shared source - not currently used.
+#  set(name edbr-lib)
+#  set(dir src)
+#  set(${name}_SRCS
+#      ${dir}/foo.c
+#      )
+#  add_library( ${name} ${${name}_SRCS} )
+#  set(add_LIBS ${name} ${add_LIBS})
 
 #######################################################
 ### main edbrowse app
@@ -270,16 +259,23 @@
 set(${name}_SRCS
     ${dir}/main.c
     ${dir}/buffers.c
-    ${dir}/auth.c
-    ${dir}/http.c
     ${dir}/sendmail.c
     ${dir}/fetchmail.c
+    ${dir}/messages.c
+    ${dir}/url.c
+    ${dir}/stringfile.c
+    ${dir}/html-tidy.c
+    ${dir}/decorate.c
+    ${dir}/http.c
+    ${dir}/auth.c
 	${dir}/html.c
     ${dir}/format.c
     ${dir}/cookies.c
     ${dir}/ebjs.c
     ${dir}/plugin.c
+    ${dir}/jseng-moz.cpp
     ${ODBC_SRCS}
+    ${GEN_SOURCES}
     )
 set(${name}_HDRS
     ${dir}/eb.h
@@ -287,6 +283,11 @@
     ${dir}/messages.h
     ${dir}/ebjs.h
     )
+if (MSVC)
+    list(APPEND ${name}_SRCS win32/vsprtf.c win32/dirent.c)
+    list(APPEND ${name}_HDRS win32/vsprtf.h win32/dirent.h)
+    include_directories( win32 )
+endif ()
 add_executable( ${name} ${${name}_SRCS} ${${name}_HDRS} )
 if (add_LIBS OR extra_LIBS)
     target_link_libraries( ${name} ${add_LIBS} ${extra_LIBS} )
@@ -296,18 +297,4 @@
 endif ()
 install(TARGETS ${name} DESTINATION bin)
 
-if (MOZJS_FOUND)
-    set(name edbrowse-js)
-    set(dir src)
-    set(${name}_SRCS
-        ${dir}/jseng-moz.cpp
-        )
-    add_executable( ${name} ${${name}_SRCS} )
-    target_link_libraries( ${name} ${add_LIBS} ${extra_LIBS} )
-    if (MSVC)
-        set_target_properties( ${name} PROPERTIES DEBUG_POSTFIX d )
-    endif ()
-    install(TARGETS ${name} DESTINATION bin)
-endif ()
-
 # eof

=== debian/changelog ===
edbrowse (3.6.1-1build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 11:59:48 +0000

edbrowse (3.6.1-1) unstable; urgency=medium

  * New upstream release (Closes: #825948)
  * control: Bump Standards-Version to 3.9.8 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 15 Jul 2016 02:15:41 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libcurl4-openssl-dev, libmozjs-24-dev, libncurses5-dev, libtidy-dev, cmake
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/edbrowse
 Homepage: http://edbrowse.org/
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: edbrowse
 Architecture: any

## edbrowse 3.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,8 @@
 
 # ### NOTE: from sersguide.htm
 set( eb_MAJOR 3 )
-set( eb_MINOR 5 )
-set( eb_POINT 1 )
+set( eb_MINOR 6 )
+set( eb_POINT 3 )
 
 # Allow developer to select is Dynamic or static library built
 set( LIB_TYPE STATIC )  # set default static
@@ -36,10 +36,16 @@
         # C4101: 'idx' : unreferenced local variable
         # C4018: '>' : signed/unsigned mismatch
         # C4800: 'JSBool' : forcing value to bool
-        foreach(warning 4244 4101 4090 4018 4800)
+        # warning C4267: '=': conversion from 'size_t' to 'int', possible loss of data
+        foreach(warning 4244 4101 4090 4018 4800 4267)
             set(WARNING_FLAGS "${WARNING_FLAGS} /wd${warning}")
         endforeach()
         set( MSVC_FLAGS "-DNOMINMAX -D_USE_MATH_DEFINES -D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS -D__CRT_NONSTDC_NO_WARNINGS" )
+        # tesing MSVC version - horrible kludge
+        if (${MSVC_VERSION} EQUAL 1900)
+            message(STATUS "*** MSVC version equals 1900 - adding HAVE_STRUCT_TIMESPEC")
+            set( MSVC_FLAGS "${MSVC_FLAGS} -DHAVE_STRUCT_TIMESPEC")
+        endif ()
         # if (${MSVC_VERSION} EQUAL 1600)
         #    set( MSVC_LD_FLAGS "/FORCE:MULTIPLE" )
         # endif (${MSVC_VERSION} EQUAL 1600)
@@ -271,6 +277,7 @@
 	${dir}/html.c
     ${dir}/format.c
     ${dir}/cookies.c
+    ${dir}/cache.c
     ${dir}/ebjs.c
     ${dir}/plugin.c
     ${dir}/jseng-moz.cpp

=== debian/changelog ===
edbrowse (3.6.3-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Update maintainer mailing list.

  [ Paul Gevers ]
  * Team upload
  * New upstream release
  * Add fix-spelling-errors.patch
  * Enable hardening

 -- Paul Gevers <elbrus@debian.org>  Sat, 15 Jul 2017 21:16:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: edbrowse
 Section: net
 Priority: extra
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Gergely Nagy <algernon@balabit.hu>,
            Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9), libreadline-dev, libpcre3-dev, libssl-dev,

## edbrowse 3.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# 20170727 - Reviewed warning list...
 # CMakeLists.txt generated 2015/09/20 00:38:06
 # by make2cmake.pl from F:\Projects\edbrowse\makefile
 
@@ -10,8 +11,8 @@
 
 # ### NOTE: from sersguide.htm
 set( eb_MAJOR 3 )
-set( eb_MINOR 6 )
-set( eb_POINT 3 )
+set( eb_MINOR 7 )
+set( eb_POINT 2 )
 
 # Allow developer to select is Dynamic or static library built
 set( LIB_TYPE STATIC )  # set default static
@@ -28,36 +29,30 @@
 
 if(WIN32)
     if(MSVC)
-        # turn off various warnings
+        # turn off various warnings - reviewed 20170727
         set(WARNING_FLAGS "${WARNING_FLAGS} /wd4996")
         # foreach(warning 4244 4251 4267 4275 4290 4786 4305)
         # C4244: '=' : conversion from 'long' to 'unsigned char', possible loss of data
         # C4090: 'function' : different 'const' qualifiers
         # C4101: 'idx' : unreferenced local variable
-        # C4018: '>' : signed/unsigned mismatch
-        # C4800: 'JSBool' : forcing value to bool
-        # warning C4267: '=': conversion from 'size_t' to 'int', possible loss of data
-        foreach(warning 4244 4101 4090 4018 4800 4267)
+        # C4267: '=': conversion from 'size_t' to 'int', possible loss of data
+        foreach(warning 4090 4101 4244 4267)
             set(WARNING_FLAGS "${WARNING_FLAGS} /wd${warning}")
         endforeach()
-        set( MSVC_FLAGS "-DNOMINMAX -D_USE_MATH_DEFINES -D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS -D__CRT_NONSTDC_NO_WARNINGS" )
-        # tesing MSVC version - horrible kludge
+        set( MSVC_FLAGS "${MSVC_FLAGS} -D_CRT_SECURE_NO_WARNINGS")
+        # testing MSVC version - horrible kludge
         if (${MSVC_VERSION} EQUAL 1900)
             message(STATUS "*** MSVC version equals 1900 - adding HAVE_STRUCT_TIMESPEC")
             set( MSVC_FLAGS "${MSVC_FLAGS} -DHAVE_STRUCT_TIMESPEC")
         endif ()
-        # if (${MSVC_VERSION} EQUAL 1600)
-        #    set( MSVC_LD_FLAGS "/FORCE:MULTIPLE" )
-        # endif (${MSVC_VERSION} EQUAL 1600)
         # distinguish between debug and release libraries
         set( CMAKE_DEBUG_POSTFIX "d" )
     endif(MSVC)
     list(APPEND extra_LIBS ws2_32 Winmm odbc32)
     set( NOMINMAX 1 )
 else()
-    # unix/mac stuff
-    message(STATUS "*** Some of these gcc warnings should be looked at, and FIXED!")
-    set(WARNING_FLAGS "${WARNING_FLAGS} -Wno-char-subscripts -Wno-parentheses -Wno-unused-but-set-variable -Wno-unused-variable -Wno-pointer-sign -Wno-unused-function -Wno-return-type")
+    # unix/mac stuff - reviewed 20170727 - none at this time
+    # set(WARNING_FLAGS "${WARNING_FLAGS} -Wno-unused-but-set-variable -Wno-unused-variable")
 endif()
 
 if (CMAKE_SYSTEM_NAME MATCHES "Linux")
@@ -124,19 +119,26 @@
     message(FATAL_ERROR "*** READLINE NOT FOUND")
 endif ()
 
-# MOZJS_FOUND
-# MOZJS_LIBRARY
-# MOZJS_INCLUDE_DIR
-find_package(MOZJS)
-if (MOZJS_FOUND)
-    message( STATUS "*** MOZJS found inc ${MOZJS_INCLUDE_DIR} lib ${MOZJS_LIBRARY}" )
-    include_directories( ${MOZJS_INCLUDE_DIR} )
-    list( APPEND add_LIBS ${MOZJS_LIBRARY} )
-else ()
-    message( FATAL_ERROR "*** MOZJS NOT FOUND, unable to proceed")
-endif ()
-
-if (WIN32 AND MOZJS_FOUND)
+# DUKTAPE_FOUND
+# DUKTAPE_LIBRARY
+# DUKTAPE_INCLUDE_DIR
+find_package(Duktape)
+if (DUKTAPE_FOUND)
+    message( STATUS "*** Duktape found inc ${DUKTAPE_INCLUDE_DIR} lib ${DUKTAPE_LIBRARY}" )
+    include_directories( ${DUKTAPE_INCLUDE_DIR} )
+    list( APPEND add_LIBS ${DUKTAPE_LIBRARY} )
+    # Fragment borrrowed and modified from modules included with cmake:
+    # Explicitly link -lm on most Unices.
+    if(UNIX AND NOT APPLE AND NOT BEOS AND NOT HAIKU)
+        find_library(MATH_LIBRARY m)
+        list( APPEND add_LIBS ${MATH_LIBRARY} )
+    # For Windows and Mac, don't need to explicitly include the math library
+    endif()
+else ()
+    message( FATAL_ERROR "*** Duktape NOT FOUND, unable to proceed")
+endif ()
+
+if (WIN32)
     find_package(Threads)
     if(Threads_FOUND)
         list(APPEND add_LIBS winmm.lib ws2_32.lib)
@@ -197,7 +199,7 @@
 #EBOBJS = main.o buffers.o url.o sendmail.o fetchmail.o \
 #	html.o format.o cookies.o stringfile.o messages.o ebjs.o plugin.o
 #  Header file dependencies.
-#$(EBOBJS) : eb.h ebprot.h messages.h ebjs.h
+#$(EBOBJS) : eb.h ebprot.h messages.h
 
 # see tools/build*.pl scripts
 file(GLOB LANG_EBRC_FILES "lang/ebrc-*")
@@ -215,10 +217,10 @@
 if (PERL)
     add_custom_command(
         OUTPUT ${GEN_SOURCES}
-        COMMAND perl -f tools/buildsourcestring.pl src/startwindow.js startWindowJS src/startwindow.c
+        COMMAND perl -f tools/buildsourcestring.pl src/startwindow.js startWindowJS src/third.js thirdJS src/startwindow.c
         COMMAND perl -f tools/buildebrcstring.pl
         COMMAND perl -f tools/buildmsgstrings.pl
-        DEPENDS ${LANG_EBRC_FILES} ${LANG_MSG_FILES} src/startwindow.js
+        DEPENDS ${LANG_EBRC_FILES} ${LANG_MSG_FILES} src/startwindow.js src/third.js
             tools/buildsourcestring.pl
             tools/buildebrcstring.pl
             tools/buildmsgstrings.pl
@@ -280,7 +282,7 @@
     ${dir}/cache.c
     ${dir}/ebjs.c
     ${dir}/plugin.c
-    ${dir}/jseng-moz.cpp
+    ${dir}/jseng-duk.c
     ${ODBC_SRCS}
     ${GEN_SOURCES}
     )
@@ -288,7 +290,6 @@
     ${dir}/eb.h
     ${dir}/ebprot.h
     ${dir}/messages.h
-    ${dir}/ebjs.h
     )
 if (MSVC)
     list(APPEND ${name}_SRCS win32/vsprtf.c win32/dirent.c)

=== debian/changelog ===
edbrowse (3.7.2-1) unstable; urgency=medium

  * New upstream release
  * Minor changes to the packaging

 -- Paul Gevers <elbrus@debian.org>  Tue, 27 Feb 2018 09:00:29 +0100

edbrowse (3.7.1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.

  [ Paul Gevers ]
  * New upstream release (Closes: #875706)
  * Drop fix-spelling-errors.patch (applied upstream)
  * Upstream migrated from libmozjs to duktape
  * Convert packaging from SVN to GIT and move to a11y archive

 -- Paul Gevers <elbrus@debian.org>  Fri, 27 Oct 2017 12:52:02 +0200

=== debian/control ===
Source: edbrowse
Section: net
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders:
 Gergely Nagy <algernon@balabit.hu>,
 Paul Gevers <elbrus@debian.org>,
 Samuel Thibault <sthibault@debian.org>,
Build-Depends:
 cmake,
 debhelper (>= 11~),
 duktape-dev,
 libcurl4-openssl-dev,
 libpcre3-dev,
 libreadline-dev,
 libssl-dev,
 libtidy-dev,
Vcs-Browser: https://salsa.debian.org/a11y-team/edbrowse.git
Vcs-Git: https://salsa.debian.org/a11y-team/edbrowse.git
Homepage: http://edbrowse.org/
Standards-Version: 4.1.3
Rules-Requires-Root: no

Package: edbrowse
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 poppler-utils | xpdf-utils,
Provides:
 editor,
 mail-reader,
 www-browser,
Description: /bin/ed-alike webbrowser written in C
 edbrowse is a reimplementation of /bin/ed, with some basic
 differences (it uses Perl regular expressions) with the ability to
 visit webpages and ftp sites. edbrowse performs basic transformations
 on the html source to produce a readable representation. edbrowse
 supports Forms, Frames, Netscape-style cookies, HTTPS
 connections and JavaScript.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
version=4
https://github.com/CMB/edbrowse/releases .*/v?([\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
